<?php

namespace Onestartup\Shop\Model;

use Illuminate\Database\Eloquent\Model;

class ProductSubCategoryShop extends Model
{
    protected $table = 'product_subcategories_shop';
    protected $fillable = [
    	'name',
		'description',
		'cover',
		'active',
		'slug',
        'category_id'
    ];

    public function category()
    {
        return $this->belongsTo('Onestartup\Shop\Model\ProductCategoryShop', 'category_id');
    }

    public function products(){
        return $this->hasMany('Onestartup\Shop\Model\ProductShop', 'subcategory_id');
    }

    public function related_products(){
        return $this->belongsToMany('Onestartup\Shop\Model\ProductShop', 'related_products', 'subcategory_id', 'product_id');
    }  
}
