<?php

namespace Onestartup\Shop\Model;

use Illuminate\Database\Eloquent\Model;

class ProductCategoryShop extends Model
{
    protected $table = 'product_categories_shop';
    protected $fillable = [
    	'name',
		'description',
		'cover',
		'active',
		'slug'
    ];

    public function products()
    {
        return $this->hasMany('Onestartup\Shop\Model\ProductShop', 'category_id')->orderBy("created_at", "desc");
    }

    public function subcategories(){
        return $this->hasMany('Onestartup\Shop\Model\ProductSubCategoryShop', 'category_id');
    }
}
