<?php

namespace Onestartup\Shop\Model;

use Illuminate\Database\Eloquent\Model;

class ProductProductTag extends Model
{
    protected $table = 'product_product_tags';
    protected $fillable = ['product_id', 'tag_id'];

    public function products(){
    	$this->belongsTo("Onestartup\Shop\Model\ProductShop");
    }

    public function tags(){
    	$this->belongsTo("Onestartup\Shop\Model\ProductTag");
    }
}
