<?php

namespace Onestartup\Shop\Model;

use Illuminate\Database\Eloquent\Model;

class RelatedProducts extends Model
{
    protected $table = 'related_products';
    protected $fillable = ["product_id", "subcategory_id"];

    public function products(){
        return $this->belongsToMany('Onestartup\Shop\Model\ProductShop', 'product_id');
    }

    public function subcategories(){
        return $this->hasMany('Onestartup\Shop\Model\ProductSubCategoryShop', 'subcategory_id');
    }     
}
