<?php

namespace Onestartup\Shop\Requests;

use Illuminate\Foundation\Http\FormRequest;

class RequestClient extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    { 

        return [
            'name' => 'required|max:455',
            'lastname' => 'required|max:455',
            'email'=> 'required|email|max:455',
            'phone' => 'required|max:255',
            'home_delivery' => 'required|boolean',
            'facturacion' => 'max:255',
            //Envio
            'cp' => "required_if:home_delivery,1|max:255",
            'calle' => "required_if:home_delivery,1|max:255", 
            'numero' => "required_if:home_delivery,1|max:255", 
            'colonia' => "required_if:home_delivery,1|max:255", 
            'ciudad' => "required_if:home_delivery,1|max:255",
            'estado' => "required_if:home_delivery,1|max:255",     
            //Adicional
            'extra1' => 'max:455',
            'extra2' => 'max:455',
            'extra3' => 'max:455',
            'extra4' => 'max:455',
            'extra5' => 'max:455',
            'extra6' => 'max:455',
            'extra7' => 'max:455',
            'extra8' => 'max:455',
            'extra9' => 'max:455',
            'extra10' => 'max:455',
        ];
    }
}